source("renv/activate.R")
if (interactive()) {
  suppressMessages(library(targets))
}
# --- Targets Aliases ---
tm  <- targets::tar_make
ti  <- targets::tar_invalidate
tr  <- targets::tar_read
to  <- targets::tar_outdated

# Specific Macros
tmr <- function() targets::tar_make(report)
tir <- function() targets::tar_invalidate(report)

# --- renv Aliases ---
rs  <- renv::status    # check health
ri  <- renv::install   # install packages
rsp <- renv::snapshot  # save library state (snapshot)
rr  <- renv::restore   # revert to lockfile

# --- The "Cheat Sheet" Startup Message ---
message(
  "\n---------------------------------------------",
  "\n SHORTCUTS LOADED",
  "\n---------------------------------------------",
  "\n [Targets]",
  "\n   tm   = tar_make()",
  "\n   ti   = tar_invalidate()",
  "\n   tr   = tar_read()",
  "\n   to   = tar_outdated()",
  "\n   tmr  = tar_make(report)",
  "\n   tir  = tar_invalidate(report)",
  "\n",
  "\n [renv]",
  "\n   rs   = renv::status()",
  "\n   ri   = renv::install()",
  "\n   rsp  = renv::snapshot()",
  "\n   rr   = renv::restore()",
  "\n---------------------------------------------\n"
)
